# dt.spec

Summary: Generic IO diagnostic tool.
Name: dt
Version: 13.18
Release: 1
Copyright: see README.1st
Vendor: MILLER W J & ASSOCIATES
Packager: Werner Bosse <wbosse@berlin.snafu.de>
Source0: dt-source.tar.gz
Group: System Environment/Test
BuildRoot: /var/tmp/%{name}-%{version}

%description
'dt' is a generic data test program used to verify proper operation of
peripherals and for obtaining performance information. Since verification of
data is performed, 'dt' can be thought of as a generic diagnostic tool.

'dt' command lines are similar to the 'dd' program, which is popular on most
UNIX systems. It contains numerous options to give the user complete control of
the test parameters.

'dt' has been used to successfully test disks, tapes, serial lines, parallel
lines, pipes, and memory mapped files. In fact, 'dt' can be used for any device
which allows the standard open, read, write, & close system calls. Special
support is necessary for some devices, such as serial lines, for setting up the
speed, parity, data bits, etc.

Avaliable documentation is located in /usr/doc/%{name}-%{version}. Sample scripts
and config data are installed in /usr/share/%{name}.

%changelog
* Wed Aug  9 2000 Werner Bosse <wbosse@berlin.snafu.de>
- upgrade to 13.0.18

* Sun Aug  6 2000 Werner Bosse <wbosse@berlin.snafu.de>
- initialization of spec file.

%prep
%setup -n dt.d

%build
%ifos linux
make -f Makefile.linux
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d -m755 $RPM_BUILD_ROOT/usr/sbin
install -d -m755 $RPM_BUILD_ROOT/usr/share/dt
install -d -m755 $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}
cp -af * $RPM_BUILD_ROOT/usr/share/dt
install -m755 -s dt $RPM_BUILD_ROOT/usr/sbin
cd $RPM_BUILD_ROOT/usr/share/dt
rm -f dt *.o *.c *.h tags TAGS
mv [A-Z]* $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}
mv *.log *.ps *Abstract rrd42.dtc dt.examples dt.sizes dt.help html \
   $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}

%files
/usr/sbin/dt
/usr/share/dt
/usr/doc/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

# end of file
